Subject: Re: b19 vs. b20 .a files incompatible
From: Christoph Kukulies <[email-masked]>
To: Christoph Kukulies <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Jul 1999 19:49:27 +0200

On Tue, Jul 13, 1999 at 02:17:25PM +0200, Christoph Kukulies wrote:
> 
> I was a bit suprised when I compiled a library (libf2c.a)
> under B19 (ld -r -x -o , btw, didn't work under that version),
> took the library to a B20.1 (resp. latest) machine and 
> linked a program for which the main program was compiled
> under the latter.
> 
> The result was that the program got hung and didn't write out
> anything. It was a hello world type program. I could interrupt
> with ^C though.
> 
> Is it normal, that .o files or .a files are incompatible between releaes?

Thinking of it I came to the conclusion that the problem might be in 
differing stdio.h structures (iob or what that is). f2c's runtime
library that I was compiling (libf2c) relies heavily on these 
stdio structures and they may have changed from b19 to b20.

Can anyone confirm this?

> 
> 
> -- 
> Chris Christoph P. U. Kukulies [email-masked]
Chris Christoph P. U. Kukulies [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]